%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-dbus-deviation
Version:       0.6.1
Release:       5mamba
Summary:       A project for parsing D-Bus introspection XML and processing it in various ways
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/dbus-deviation/
Source:        https://pypi.debian.net/dbus-deviation/dbus-deviation-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(lxml)
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n dbus-deviation-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/dbus-interface-{diff,vcs-helper}; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
sed -i "\,%{_bindir}/dbus-interface,d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_bindir}/dbus-interface*
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc AUTHORS COPYING

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.6.1-5mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Aug 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-4mamba
- resolve bindir files conflicts

* Mon Jul 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-3mamba
- rebuilt with python 3.10

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-2mamba
- rebuilt with distdeps

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.0-1mamba
- package created using the webbuild interface
